----------------------------
CHANGELOG OF SONIQUE 2 SKIN:
----------------------------

This is the changelog of the sonique 2 main skin. The description of each issue is as follows:
letter = current official build state (b = beta)
numbers before dot = official build out at the time
letter after numbers before the dot = branch
numbers after dot = inofficial build number
after first stripe = changes made in this version by ...

-------------
THE VERSIONS:
-------------
b103.74 - jacoby - 1 October 2007
-added AutoEQ to the default skin.  I've occasionally had a few other features to go with this so there is room for more work on it.

b103.73 - jacoby - 26 October 2004
-added functionality to option menus for shuffle and highlight follow
-fixed my bugs from .71

b103.72 - The Ripper - 25 October 2004
-Added framework in options menu for shuffle method, highlighting and placed number of coming songs section to there also
-Added midimode (work in progress, infobutton does not work and midimode is not fully tested)
-Enabled three way mode switching possibility again
-Added tooltips options for midimode in options menu
-Fixed volumebar error in minimode

b103.71 - jacoby/bits - 15 October 2004
- Multiple implamentations of shuffle fixes.  Still defaults to the regular meathod.  Ctrl-q toggles between shuffle modes.
0: Default sonique2 behavior
1: Bits meathod (see changelog for 103.70)
2: When shuffle is toggled to on, will seek to the first song in the shuffled list.  Hit ctrl-a when in mode 2 to avoid this behavior.
	Also, when toggling shuffle to off, hold ctrl-a to seek to the first song in the playlist.
- ctrl-f = Toggle highlight follow

b103.70 - bits - 06 October 2004
-Fix previewsize load oninit
-Fix preview script when in shuffle and running outter songs
-Made shuffle "reshuffle" when it runs outter songs and has more then 10 songs(equals endless playback in shuffle)
-Follow highligh mode, highlight one or more tracks to be played next(first found goes first)
Note: i was to lazy to add follow highlight to prefs send this to the console to turn off:
	:sonique.InterfacePrefsSetString("skin_look", "followhighlight", "0");
Also if you have issues with selecting multiple songs and it just churning thru them (you'll know it when u see it),
	change the 500 in the following to a larger number (maybe 1000):
		:system.timer.SetTimer("defaultskin_antirepeat", 500, "antirepeat=1;", this, false);

b103.69(incomplete) - bits - 11 August 2004
-Add coming up window (click playlist info button)
-fixed up heaps of that code, should be sweet now
-pretty up text
-previewsize options(skin look)
-made it catch more playlist change callbacks(thanks again jacoby)
TODO
- force next songs list (ctrl+n??)

b103.68 - Pepitoe - 14 June 2004
-Remembered to hide the vis changing buttons by default rather than only after you first use a vis

b103.67 - Pepitoe - 12 June 2004
-Made song tooltips auto mode selectable for main or mini mode or both
-Remembered to put the above options in the detached settings as well this time!
-Online, interface browser and settings windows made bigger to use all available space
-Removing "Window" from window titles to give more space for visual names
-Vis changing buttons will only appear in vis window or when background vis is enabled
-Hover states added for deathstar buttons that were missing them
-Changed hotkeys which conflict with app defined hotkeys:
ctrl-x = open settings window (Was ctrl-s which should be Save playlist)
ctrl-1 = switch modes (was ctrl-m which should be mute)

b103.66 - Bits - 03 April 2004
-moved visual code stuff outter movewindows.. made it handle things better...(attachwindow and preventing to visual windows should all be better now)

b103.65 - Pepitoe - 02 April 2004
-made closing the main window make sure it closes song tooltip to prevent delay closing sonique
-stopped song tooltip info turning blue when it is hovered over
-option for song tooltips in minimode

b103.64 - Paulus - 2 April 2004
-added hotkeys:
ctrl-p = open playlist
ctrl-v = open visual
ctrl-c = open console
ctrl-i  = open interface window
ctrl-s = open settings window
ctrl-w = open online window
ctrl-q = detach window
ctrl-m = switch modes
*in mini mode it opens the popups

b103.63 - bits - 02 April 2004
-removed full(background)viswindow visual (backgroundvisual has replaced)
-much work on fixing up code to make backgroundvisual seamless (also includes hiding it on resize/move)
-fixed up intro code i stuff up this morning

b103.62 - bits - 02 April 2004
-reworked intro param stuff so that in future can can actually adjust time easy 0-100% current speed.. if intro is 0.7 it'll complete in 70% the time etc etc

b103.61 - Slaine - 01 April 2004
-Re-Added Improved Docking points :)

b103.60a - bits - 02 April 2004
-removed current midmode (to many hassles for such a silly feature)
-disabled the two way toggle for now, cause its the only option :p
-fixed bugs in fullwindow viewbackground and other code (no weird behaviour)
-tidied up some code

b103.59 - The Ripper - 01 April 2004
-two way switching enable/disable via settings menu

b103.58 - The Ripper - 01 April 2004
-animation on top of outsticking thing in minibar, when drawer is closed
-mode switching all done on double click now (normal --> midi --> mini)
-mode gets remembered
-playlist controls only show when playlist is shown in the container
-switching of sigma sign with the o sign in the time display
-mml now in US-ASCII 20127

b103.57 - D-Kalck - 31 March 2004
-fixed a bug I introduced in build 103.55 in the ToggleFullWindowVis function

b103.56 - D-Kalck - 31 March 2004
-changed SmartVis() to take in account the "behind window visuals" feature

b103.55 - D-Kalck - 31 March 2004
-fixed a bug when "behind window visuals" was enabled and you enabled "full visuals"
-added paulus change to the changelog

b103.54 - Paulus - 31 March 2004
-behind window visuals, for use right click the background visual button

b103.53 - D-Kalck - 30 March 2004
-color schemes improved
-fixed a bug with the app settings tab in the popup window
-removed unneeded psd frome the package

b103.52 - Bits - 30 March 2004
-improved theme changing from popup settings screen

b103.51 - The Ripper - 30 March 2004
-changed some things in the colors back (want the trama to stay clear) and not getting the trama to curse with the other colors
-black line around middle part of minimode

b103.50 - D-Kalck - 30 March 2004
-mini_mode now remember it's location and it's aot status
-changed mini_mode's imagestyle for some themes
-fixed a bug with the app settings tab

b103.49 - The Ripper - 29 March 2004
-switched mute and playbar clicks in minimode

b103.48 - Bits - 29 March 2004
-onmouseover/exit stuff for minimode (old version)
-changed names of timers to make them "unique" to other skins (prevent future issues)
-added timer delay for destroywindow when swapping modes (sometimes helps to prevent a s2 interface bug)

b103.47 - The Ripper - 29 March 2004
-removed useless dockpoints for bottom of the screen in mini mode
-added items to drawer look
-help button in mini mode
-mute button in mini mode, left click to mute, right click to show/hide volume bar
-renamed animation psd names
-removed stray pixels bits mentioned
-changed animation of drawer
-toggle playlist buttons and bar in main mode on the container

b103.46 - D-Kalck - 28 March 2004
-now, the mid_mode remember it's location and it's always on top state

b103.45 - Paulus - 27 March 2004
-changed playlist search highlight imagestyle, because it was fucked up

b103.44 - The Ripper - 27 March 2004
-added some look thingies to the minimode
-some things work with imagestyles of the main skin now
-added status bar
-did some changes within the minimode psd file
-removed button behaviour of drawer

b103.43 - Bits - 27 March 2004
-remove minimode resize handles

b103.42 - The Ripper - 26 March 2004
-new minimode, very basic and not nearly finished but working, start with doubleclick in main skin

b103.41 - D-Kalck - 26 March 2004
-improved the mid mode

b103.40 - Bits - 26 March 2004
-caught up popup settings window

b103.39 - Bits - 26 March 2004
-swapped settings button style 

b103.38 - D-Kalck - 25 March 2004
-implemented a sort of mid mode, hit middle button to switch between mid_mod and main mode

b103.37 - D-Kalck - 25 March 2004
-lowered the corner radius for the container from 10.0 to 5.0
-the vis info container don't show if not needed
-the name of the vis is now displayed in the title of the container

b103.36 - D-Kalck - 25 March 2004
-added some buttons to change visuals at the top of the container
-changed the corner radius of the container

b103.35 - D-Kalck - 24 March 2004
-fixed the playlist button icon
-changed the imagestyle for the first icon (feel free to change it)

b103.34 - Bits - 24 March 2004
-changed popup colours so they are easier to read

b103.33 - Bits - 24 March 2004
-removed "remix"
-try to keep popout windows inside parent at all times
-remove black line on left of playlist

b103.32 - D-Kalck - 24 March 2004
-fixed the mini_icon_holder alignment bug

b103.31 - D-Kalck - 23 March 2004
-added min_size attribute to the info window

b103.30 - Bits - 23 March 2004
-changed the copyright window back to how it was..(gotta be uniform..)
-added min/max drag params for info and copy window

b103.29 - D-Kalck - 23 March 2004
-changed absence and earth theme

b103.28 - D-Kalck - 23 March 2004
-changed the color of the vis info container for some themes

b103.27 - Bits - 23 March 2004
-fixed the last even row in the playlist...

b103.26 - Bits - 23 March 2004
-made visuals hide when moving or resizing...
-made borders disappear when in full vis in vis window

b103.25 - Bits - 23 March 2004
-made playlist window match original idea a bit better.
-fixed some intro scripts missingend bracket..

b103.24 - Gofer - 23 March 2004
-made the console window scrollable using shift/ctrl pagedown/page up.

b103.23 - The Ripper - 22 March 2004 
-window container added
-scrollbars changed a bit, to be nicer in new situation
-added lines to the option to disable intro animations
-cleaning of psd file
-replaced some of the windows of the psd file with mml made windows and removed shapes in mml file
-copyright window locked and better readable (guess there's no use in dragging around, especially if it can go out of the window
-replaced playlist window buttons and progress bar onto the new container
-resized windows to look nice in the container

b103.22 - The Ripper - 20 March 2004
-option in settings menu under skin look to disable the minivis animation
-option to disable intro animations (not totally done yet)

b103.21 - The Ripper - 19 March 2004
-bars look more the same, only deathstar bar misses as the only one a shadow
-with brighter schemes, icons and numbers showed grey areas, these are removed

b103.20 - The Ripper - 18 March 2004
-better control button regions, finally
-animations from now on respond to those regions, not the squares the animation plays in
-made rounding in right below of main screen better

b103.19 - D-Kalck - 17 March 2004
-larger mini vis button which bits had done earlier, placed back

b103.18 - The Ripper - 17 March 2004
-some too bright spots in lines removed
-made the playlist button outlining and position a little bit better
-volume bar a bit better in animation range

b103.17 - The Ripper with help of Bits - 16 March 2004
-volume bar should behave more normal
-animation of play button should look somewhat better, but still not satisfied with the results
-removed two little dots, which nobody probably is going to see

b103.16 - The Ripper - 13 March 2004
-new animation for the play/pause button

b103.15 - The Ripper - 13 March 2004
-better dotted volume bar
-connection of one broken line, because of animations
-shadows are back
-left some space for future animation in this version for the play button
-rounded animations a bit further and removed bottom and top bright spots in it
-removed the 1 pixel lining that the playlist button was too big on the left

b103.14 - The Ripper - 12 March 2004
-shadow on top of main window
-corners made better in popups and main window
-lowering in the bottom of the main screen made better

b103.13 - Bits - 12 March 2004
-removed unneeded shapes that reffered to layers that didn't exist

b103.12 - Bits - 11 March 2004
-fixed up the animations a bit

b103.11 - The Ripper- 11 March 2004
-Added animations for control buttons, except the play/pause button

b103.10 - Pepitoe - 09 March 2004
-updated version to fix the previewing of the song tooltip when you alter it's offset or opacity

b103.09 - Bits - 08 March 2004
-removed remaining rightquad scripts from popups

b103.08 - The Ripper - 08 March 2004
-fixed file browser popup

b103.07 - The Ripper - 08 March 2004
-fixed all dots kinda things in skin
-made all mml lines in the skin fit in more nicely
-made play/pause button position more the same
-made time signing better for remaining, played, total and system time
-add cd icon is less glowy
-shuffle icon better place
-made background coloring better
-fixed popup looks with a lot of the same things that were the case in the main skin
-other things forgotten

b103.06 - Pepitoe - 08 March 2004
-fixed first theme button size

b103.05 - Bits - 08 March 2004
-changed the dropdown menu stuff to behave as the other things menus do

b103.04 - Pepitoe - 07 March 2004
-get around the current problem of no scrollbars in the skin settings

b103.03 - Slaine - 04 March 2004
-added option to change the vis on song change

b103.02 - Bits - 03 March 2004
-fixed opacity tooltip
-added auto tooltip function

b103.01 - Pepitoe - 02 March 2004
-option to change the opacity of the song info popup

---------------------
END OF BETA 102 AREA:
---------------------

b102.17 - Bits - 02 March 2004
-fixed wave silent bug

b102.16 - Bits - 22 February 2004
-now you can only detach a window once 

b102.15 - Bits - 21 February 2004
-added vertsize for tool popup
-made mini vis toggle bigger 
-vis select button regions are larger
-alignments instead of offsets for a fair few things

b102.14 - Bits - 20 February 2004
-fixed typo

b102.13 - Bits - 20 February 2004
-fixed offsets of amp fillbars 
-fixed hint problem

b102.12 - Bits - 19 February 2004
-bal, amp and pitch improvements
-fixed up other code around bal, amp and pitch
-added the user eq preset saving 

b102.11 - Bits - 18 February 2004
-fixed that ever pesky annoying bug where the scan backwards button overlapped the track progress bar

b102.10 - Bits - 14 February 2004
-single line only as suggested 
-fixed always ontop hint for popup windows

b102.09 - Bits - 10 February 2004
-no more millisecond display
-fixed stuff
-added copyrightwindow window, click sonique logo top left

b102.08 - Bits - 08 February 2004
-fixed next visual hint
-fixed theme ten

b102.07 - Bits - 08 February 2004
-four new themes, unnamed

b102.06 - Bits - 07 February 2004
-changed the background colour of the popup visual to black
-changed the default offset for the tooltip

b102.05 - Bits - 06 February 2004
-fixed idle scanning

b102.04 - Bits - 05 February 2004
-will show where on the progress bar you are about to jump to

b102.03 - Bits - 05 February 2004
-fixed active icon in settings
-fixed the hoverhint for the info window if u used the x to close the window
-added offset for song tooltip popup for people with diff size taskbars

b102.02 - Bits - 05 February 2004
-fixed fullscreen button on detached visual window
-four digit track format 
-fixed idle scan

b102.01 - Bits - 05 February 2004
-fixed windows visual title
-fixed reattaching

---------------------
END OF BETA 101 AREA:
---------------------

b101.10 - Bits - 04 Feburary 2004
-made the visual info container only scroll on one line
-correct justifications of many testdisplay's including the vis info container

b101.09 - Bits - 02 Feburary 2004
-background visual bug
-mini icons appear at more logical/even times
-tooltips thing should be better, but can still steal focus

b101.08 - Bits - 31 January 2004
-fixed borders a little
-added theme six

b101.07 - Bits - 31 January 2004
-updates to the tooltip window, only one will occur, if song changes it'll update that one and reset the timer till close
-better handling of stuff oninit
-fixed a few little things that looked bad and are just asking for someone to complain
-fixed up the settings screen so that lagoon has the right statustip and also the highlight box doesn't block hoverhints underneath

b101.06 - Bits - 30 January 2004
-fixed a problem some users had
-changed theme four in which a all transparent item has been changed
-now playing notice on the systray

b101.05 - Bits - 29 January 2004
-setting themes from settings popout works
-fixed intro stuff
-changed rest of the offsets for the main skin
-no doubt other stuff forgotten

b101.04 - Bits - 28 January 2004
-the background visual window bug fixed

b101.03 - Bits - 28 January 2004
-hoverhint for audioble wavewrite fixed
-playlist pinches its player back if stolen from it, when it needs it back
-intro problem is found and due to slow cpu's, the window isn't displaying before the animation is complete and over

b101.02 - Bits - 27 January 2004
-problem with hide timer for visual window fixed
-made the picker faster

b101.01 - Bits - 27 January 2004
-removed that settheme gets called twice oninit
-the smartvis looked at the wrong visible and was also not called under some circumstances, also sometimes you'd broken from using smartvis to use other code which wasn't as smart as smartvis, so that's changed
-mini vis duplicated its visible, now not anymore
-pushwindow was set on a timer plus set oninit
-loads of the code is smaller and smarter
-the history is different, things don't appear twice
-removed the forced online window
